CREATE OR REPLACE PROCEDURE ADD_EXPEDIENTE_PROCE 
(COD_EXPEDIENTE in VARCHAR2,FECHA_CREACION in VARCHAR2,ID_PACIENTE in NUMBER) IS
BEGIN
    INSERT INTO EXPEDIENTECLINICO 
    (COD_EXPEDIENTE,FECHA_CREACION,ID_PACIENTE ) VALUES (COD_EXPEDIENTE,FECHA_CREACION,ID_PACIENTE );
END;

CREATE SEQUENCE EXPEDIENTE_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger EXPEDIENTE_TRIGGER  
   before insert on "CLINICA"."EXPEDIENTECLINICO" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_EXPEDIENTE" is null then 
         select EXPEDIENTE_SEQUENCE.nextval into :NEW."ID_EXPEDIENTE" from dual; 
      end if; 
   end if; 
end;
